Add a new skill
curl --request POST \
--url https://api.letraz.app/api/v1/resume/{resume_id}/skill/ \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"category": "<string>"
}
'import requests
url = "https://api.letraz.app/api/v1/resume/{resume_id}/skill/"
payload = {
"name": "<string>",
"category": "<string>"
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', category: '<string>'})
};
fetch('https://api.letraz.app/api/v1/resume/{resume_id}/skill/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"skill": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"category": "<string>",
"name": "<string>",
"alias": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"category": "<string>",
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"preferred": true
}
],
"updated_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"preferred": true
},
"resume_section": "<string>"
}{
"error": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"code": "<string>",
"message": "<string>",
"details": "<string>",
"extra": "<string>"
}
}Skill object
Add a new skill
Adds a new Skill to the user’s resume as specified in the resume id.
If a base is provided as resume id, the Skill is added to the base resume.
POST
/
resume
/
{resume_id}
/
skill
/
Add a new skill
Authorizations
basicAuthcookieAuthcookieAuth
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
Resume ID of the resume the education belongs to. If you want to interact with the base Skill, just put base in here
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
⌘I